﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Syncfusion.XForms.TabView;
using Xamarin.Forms;

namespace TestTabView
{
    // Learn more about making custom code visible in the Xamarin.Forms previewer
    // by visiting https://aka.ms/xamarinforms-previewer
    [DesignTimeVisible(false)]
    public partial class MainPage : ContentPage
    {
        public MainPage()
        {
            InitializeComponent();
        }
    }

    public class TabViewModel : INotifyPropertyChanged
    {
        private TabItemCollection tabItems = new TabItemCollection();

        public TabItemCollection TabItems
        {
            get
            {
                return this.tabItems;
            }
            set
            {
                this.tabItems = value;
                RaisePropertyChanged("TabItems");
            }
        }

        public event PropertyChangedEventHandler PropertyChanged;

        private void RaisePropertyChanged(string propertyName)
        {
            if (this.PropertyChanged != null)
            {
                this.PropertyChanged(this, new PropertyChangedEventArgs(propertyName));
            }
        }

        public TabViewModel()
        {
            SfTabItem item1 = new SfTabItem();
            item1.Title = "Tab 1";
            item1.Content = new Label() { Text = "Tab 1 Content" };
            TabItems.Add(item1);

            SfTabItem item2 = new SfTabItem();
            item2.Title = "Tab 2";
            item2.Content = new Label() { Text = "Tab 2 Content" };
            TabItems.Add(item2);

            SfTabItem item3 = new SfTabItem();
            item3.Title = "Tab 3";
            item3.Content = new Label() { Text = "Tab 3 Content" };
            TabItems.Add(item3);
        }
    }
}
